> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-leet-slack-mcp-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Bindings

> DeleteBindings unbinds one or more scopes (xaa_scope_ids) from an access
 profile. Uses a POST .../delete action route because the scope IDs travel
 in the request body, which HTTP DELETE does not reliably support.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/apps/{app_id}/xaa/access_profiles/{access_profile_id}/scope_bindings/delete
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{app_id}/xaa/access_profiles/{access_profile_id}/scope_bindings/delete:
    post:
      tags:
        - Cross-App Access
      summary: Delete Bindings
      description: |-
        DeleteBindings unbinds one or more scopes (xaa_scope_ids) from an access
         profile. Uses a POST .../delete action route because the scope IDs travel
         in the request body, which HTTP DELETE does not reliably support.
      operationId: >-
        c1.api.cross_app_access.v1.XAAAccessProfileScopeBindingService.DeleteBindings
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: The application that owns the resource server.
            type: string
        - in: path
          name: access_profile_id
          required: true
          schema:
            description: The access profile to unbind scopes from.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.cross_app_access.v1.XAAAccessProfileScopeBindingServiceDeleteRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.cross_app_access.v1.XAAAccessProfileScopeBindingServiceDeleteResponse
          description: XAAAccessProfileScopeBindingServiceDeleteResponse confirms deletion.
      x-codeSamples:
        - lang: go
          label: DeleteBindings
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.XAAAccessProfileScopeBinding.DeleteBindings(ctx, operations.C1APICrossAppAccessV1XAAAccessProfileScopeBindingServiceDeleteBindingsRequest{\n        AccessProfileID: \"<id>\",\n        AppID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.XAAAccessProfileScopeBindingServiceDeleteResponse != nil {\n        // handle response\n    }\n}"
components:
  schemas:
    c1.api.cross_app_access.v1.XAAAccessProfileScopeBindingServiceDeleteRequestInput:
      description: |-
        XAAAccessProfileScopeBindingServiceDeleteRequest unbinds scopes from a
         profile.
      properties:
        xaaScopeIds:
          description: Scope IDs to unbind from the access profile.
          items:
            type: string
          type:
            - array
            - 'null'
      title: Xaa Access Profile Scope Binding Service Delete Request
      type: object
      x-speakeasy-name-override: XAAAccessProfileScopeBindingServiceDeleteRequest
    c1.api.cross_app_access.v1.XAAAccessProfileScopeBindingServiceDeleteResponse:
      description: XAAAccessProfileScopeBindingServiceDeleteResponse confirms deletion.
      title: Xaa Access Profile Scope Binding Service Delete Response
      type: object
      x-speakeasy-name-override: XAAAccessProfileScopeBindingServiceDeleteResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````